Wed, 31 May 2017 12:51:24 +0200
fixes compiler flags
49 | 1 | # Makefile.in generated by automake 1.13.4 from Makefile.am. |
2 | # @configure_input@ | |
3 | ||
4 | # Copyright (C) 1994-2013 Free Software Foundation, Inc. | |
5 | ||
6 | # This Makefile.in is free software; the Free Software Foundation | |
7 | # gives unlimited permission to copy and/or distribute it, | |
8 | # with or without modifications, as long as this notice is preserved. | |
9 | ||
10 | # This program is distributed in the hope that it will be useful, | |
11 | # but WITHOUT ANY WARRANTY, to the extent permitted by law; without | |
12 | # even the implied warranty of MERCHANTABILITY or FITNESS FOR A | |
13 | # PARTICULAR PURPOSE. | |
14 | ||
15 | @SET_MAKE@ | |
16 | ||
17 | # Copyright 2017 Mike Becker. All rights reserved. | |
18 | # | |
19 | # Redistribution and use in source and binary forms, with or without | |
20 | # modification, are permitted provided that the following conditions are met: | |
21 | # | |
22 | # 1. Redistributions of source code must retain the above copyright | |
23 | # notice, this list of conditions and the following disclaimer. | |
24 | # | |
25 | # 2. Redistributions in binary form must reproduce the above copyright | |
26 | # notice, this list of conditions and the following disclaimer in the | |
27 | # documentation and/or other materials provided with the distribution. | |
28 | # | |
29 | # THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" | |
30 | # AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE | |
31 | # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE | |
32 | # DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE | |
33 | # FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL | |
34 | # DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR | |
35 | # SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER | |
36 | # CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, | |
37 | # OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE | |
38 | # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. | |
39 | VPATH = @srcdir@ | |
40 | am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)' | |
41 | am__make_running_with_option = \ | |
42 | case $${target_option-} in \ | |
43 | ?) ;; \ | |
44 | *) echo "am__make_running_with_option: internal error: invalid" \ | |
45 | "target option '$${target_option-}' specified" >&2; \ | |
46 | exit 1;; \ | |
47 | esac; \ | |
48 | has_opt=no; \ | |
49 | sane_makeflags=$$MAKEFLAGS; \ | |
50 | if $(am__is_gnu_make); then \ | |
51 | sane_makeflags=$$MFLAGS; \ | |
52 | else \ | |
53 | case $$MAKEFLAGS in \ | |
54 | *\\[\ \ ]*) \ | |
55 | bs=\\; \ | |
56 | sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \ | |
57 | | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \ | |
58 | esac; \ | |
59 | fi; \ | |
60 | skip_next=no; \ | |
61 | strip_trailopt () \ | |
62 | { \ | |
63 | flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \ | |
64 | }; \ | |
65 | for flg in $$sane_makeflags; do \ | |
66 | test $$skip_next = yes && { skip_next=no; continue; }; \ | |
67 | case $$flg in \ | |
68 | *=*|--*) continue;; \ | |
69 | -*I) strip_trailopt 'I'; skip_next=yes;; \ | |
70 | -*I?*) strip_trailopt 'I';; \ | |
71 | -*O) strip_trailopt 'O'; skip_next=yes;; \ | |
72 | -*O?*) strip_trailopt 'O';; \ | |
73 | -*l) strip_trailopt 'l'; skip_next=yes;; \ | |
74 | -*l?*) strip_trailopt 'l';; \ | |
75 | -[dEDm]) skip_next=yes;; \ | |
76 | -[JT]) skip_next=yes;; \ | |
77 | esac; \ | |
78 | case $$flg in \ | |
79 | *$$target_option*) has_opt=yes; break;; \ | |
80 | esac; \ | |
81 | done; \ | |
82 | test $$has_opt = yes | |
83 | am__make_dryrun = (target_option=n; $(am__make_running_with_option)) | |
84 | am__make_keepgoing = (target_option=k; $(am__make_running_with_option)) | |
85 | pkgdatadir = $(datadir)/@PACKAGE@ | |
86 | pkgincludedir = $(includedir)/@PACKAGE@ | |
87 | pkglibdir = $(libdir)/@PACKAGE@ | |
88 | pkglibexecdir = $(libexecdir)/@PACKAGE@ | |
89 | am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd | |
90 | install_sh_DATA = $(install_sh) -c -m 644 | |
91 | install_sh_PROGRAM = $(install_sh) -c | |
92 | install_sh_SCRIPT = $(install_sh) -c | |
93 | INSTALL_HEADER = $(INSTALL_DATA) | |
94 | transform = $(program_transform_name) | |
95 | NORMAL_INSTALL = : | |
96 | PRE_INSTALL = : | |
97 | POST_INSTALL = : | |
98 | NORMAL_UNINSTALL = : | |
99 | PRE_UNINSTALL = : | |
100 | POST_UNINSTALL = : | |
101 | subdir = . | |
102 | DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \ | |
103 | $(top_srcdir)/configure $(am__configure_deps) \ | |
104 | $(srcdir)/config.h.in README depcomp install-sh missing | |
105 | ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 | |
106 | am__aclocal_m4_deps = $(top_srcdir)/configure.ac | |
107 | am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ | |
108 | $(ACLOCAL_M4) | |
109 | am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \ | |
110 | configure.lineno config.status.lineno | |
111 | mkinstalldirs = $(install_sh) -d | |
112 | CONFIG_HEADER = config.h | |
113 | CONFIG_CLEAN_FILES = | |
114 | CONFIG_CLEAN_VPATH_FILES = | |
115 | AM_V_P = $(am__v_P_@AM_V@) | |
116 | am__v_P_ = $(am__v_P_@AM_DEFAULT_V@) | |
117 | am__v_P_0 = false | |
118 | am__v_P_1 = : | |
119 | AM_V_GEN = $(am__v_GEN_@AM_V@) | |
120 | am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@) | |
121 | am__v_GEN_0 = @echo " GEN " $@; | |
122 | am__v_GEN_1 = | |
123 | AM_V_at = $(am__v_at_@AM_V@) | |
124 | am__v_at_ = $(am__v_at_@AM_DEFAULT_V@) | |
125 | am__v_at_0 = @ | |
126 | am__v_at_1 = | |
127 | SOURCES = | |
128 | DIST_SOURCES = | |
129 | RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \ | |
130 | ctags-recursive dvi-recursive html-recursive info-recursive \ | |
131 | install-data-recursive install-dvi-recursive \ | |
132 | install-exec-recursive install-html-recursive \ | |
133 | install-info-recursive install-pdf-recursive \ | |
134 | install-ps-recursive install-recursive installcheck-recursive \ | |
135 | installdirs-recursive pdf-recursive ps-recursive \ | |
136 | tags-recursive uninstall-recursive | |
137 | am__can_run_installinfo = \ | |
138 | case $$AM_UPDATE_INFO_DIR in \ | |
139 | n|no|NO) false;; \ | |
140 | *) (install-info --version) >/dev/null 2>&1;; \ | |
141 | esac | |
142 | RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \ | |
143 | distclean-recursive maintainer-clean-recursive | |
144 | am__recursive_targets = \ | |
145 | $(RECURSIVE_TARGETS) \ | |
146 | $(RECURSIVE_CLEAN_TARGETS) \ | |
147 | $(am__extra_recursive_targets) | |
148 | AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \ | |
149 | cscope distdir dist dist-all distcheck | |
150 | am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \ | |
151 | $(LISP)config.h.in | |
152 | # Read a list of newline-separated strings from the standard input, | |
153 | # and print each of them once, without duplicates. Input order is | |
154 | # *not* preserved. | |
155 | am__uniquify_input = $(AWK) '\ | |
156 | BEGIN { nonempty = 0; } \ | |
157 | { items[$$0] = 1; nonempty = 1; } \ | |
158 | END { if (nonempty) { for (i in items) print i; }; } \ | |
159 | ' | |
160 | # Make sure the list of sources is unique. This is necessary because, | |
161 | # e.g., the same source file might be shared among _SOURCES variables | |
162 | # for different programs/libraries. | |
163 | am__define_uniq_tagged_files = \ | |
164 | list='$(am__tagged_files)'; \ | |
165 | unique=`for i in $$list; do \ | |
166 | if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | |
167 | done | $(am__uniquify_input)` | |
168 | ETAGS = etags | |
169 | CTAGS = ctags | |
170 | CSCOPE = cscope | |
171 | DIST_SUBDIRS = $(SUBDIRS) | |
172 | DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) | |
173 | distdir = $(PACKAGE)-$(VERSION) | |
174 | top_distdir = $(distdir) | |
175 | am__remove_distdir = \ | |
176 | if test -d "$(distdir)"; then \ | |
177 | find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \ | |
178 | && rm -rf "$(distdir)" \ | |
179 | || { sleep 5 && rm -rf "$(distdir)"; }; \ | |
180 | else :; fi | |
181 | am__post_remove_distdir = $(am__remove_distdir) | |
182 | am__relativize = \ | |
183 | dir0=`pwd`; \ | |
184 | sed_first='s,^\([^/]*\)/.*$$,\1,'; \ | |
185 | sed_rest='s,^[^/]*/*,,'; \ | |
186 | sed_last='s,^.*/\([^/]*\)$$,\1,'; \ | |
187 | sed_butlast='s,/*[^/]*$$,,'; \ | |
188 | while test -n "$$dir1"; do \ | |
189 | first=`echo "$$dir1" | sed -e "$$sed_first"`; \ | |
190 | if test "$$first" != "."; then \ | |
191 | if test "$$first" = ".."; then \ | |
192 | dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \ | |
193 | dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \ | |
194 | else \ | |
195 | first2=`echo "$$dir2" | sed -e "$$sed_first"`; \ | |
196 | if test "$$first2" = "$$first"; then \ | |
197 | dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \ | |
198 | else \ | |
199 | dir2="../$$dir2"; \ | |
200 | fi; \ | |
201 | dir0="$$dir0"/"$$first"; \ | |
202 | fi; \ | |
203 | fi; \ | |
204 | dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \ | |
205 | done; \ | |
206 | reldir="$$dir2" | |
207 | DIST_ARCHIVES = $(distdir).tar.gz | |
208 | GZIP_ENV = --best | |
209 | DIST_TARGETS = dist-gzip | |
210 | distuninstallcheck_listfiles = find . -type f -print | |
211 | am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \ | |
212 | | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$' | |
213 | distcleancheck_listfiles = find . -type f -print | |
214 | ACLOCAL = @ACLOCAL@ | |
215 | AMTAR = @AMTAR@ | |
216 | AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@ | |
217 | AUTOCONF = @AUTOCONF@ | |
218 | AUTOHEADER = @AUTOHEADER@ | |
219 | AUTOMAKE = @AUTOMAKE@ | |
220 | AWK = @AWK@ | |
221 | CC = @CC@ | |
222 | CCDEPMODE = @CCDEPMODE@ | |
223 | CFLAGS = @CFLAGS@ | |
224 | CPP = @CPP@ | |
225 | CPPFLAGS = @CPPFLAGS@ | |
226 | CYGPATH_W = @CYGPATH_W@ | |
227 | DEFS = @DEFS@ | |
228 | DEPDIR = @DEPDIR@ | |
229 | ECHO_C = @ECHO_C@ | |
230 | ECHO_N = @ECHO_N@ | |
231 | ECHO_T = @ECHO_T@ | |
232 | EGREP = @EGREP@ | |
233 | EXEEXT = @EXEEXT@ | |
234 | GREP = @GREP@ | |
235 | INSTALL = @INSTALL@ | |
236 | INSTALL_DATA = @INSTALL_DATA@ | |
237 | INSTALL_PROGRAM = @INSTALL_PROGRAM@ | |
238 | INSTALL_SCRIPT = @INSTALL_SCRIPT@ | |
239 | INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ | |
240 | LDFLAGS = @LDFLAGS@ | |
241 | LIBOBJS = @LIBOBJS@ | |
242 | LIBS = @LIBS@ | |
243 | LTLIBOBJS = @LTLIBOBJS@ | |
244 | MAKEINFO = @MAKEINFO@ | |
245 | MKDIR_P = @MKDIR_P@ | |
246 | OBJEXT = @OBJEXT@ | |
247 | PACKAGE = @PACKAGE@ | |
248 | PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ | |
249 | PACKAGE_NAME = @PACKAGE_NAME@ | |
250 | PACKAGE_STRING = @PACKAGE_STRING@ | |
251 | PACKAGE_TARNAME = @PACKAGE_TARNAME@ | |
252 | PACKAGE_URL = @PACKAGE_URL@ | |
253 | PACKAGE_VERSION = @PACKAGE_VERSION@ | |
254 | PATH_SEPARATOR = @PATH_SEPARATOR@ | |
255 | SET_MAKE = @SET_MAKE@ | |
256 | SHELL = @SHELL@ | |
257 | STRIP = @STRIP@ | |
258 | VERSION = @VERSION@ | |
259 | abs_builddir = @abs_builddir@ | |
260 | abs_srcdir = @abs_srcdir@ | |
261 | abs_top_builddir = @abs_top_builddir@ | |
262 | abs_top_srcdir = @abs_top_srcdir@ | |
263 | ac_ct_CC = @ac_ct_CC@ | |
264 | am__include = @am__include@ | |
265 | am__leading_dot = @am__leading_dot@ | |
266 | am__quote = @am__quote@ | |
267 | am__tar = @am__tar@ | |
268 | am__untar = @am__untar@ | |
269 | bindir = @bindir@ | |
270 | build_alias = @build_alias@ | |
271 | builddir = @builddir@ | |
272 | datadir = @datadir@ | |
273 | datarootdir = @datarootdir@ | |
274 | docdir = @docdir@ | |
275 | dvidir = @dvidir@ | |
276 | exec_prefix = @exec_prefix@ | |
277 | host_alias = @host_alias@ | |
278 | htmldir = @htmldir@ | |
279 | includedir = @includedir@ | |
280 | infodir = @infodir@ | |
281 | install_sh = @install_sh@ | |
282 | libdir = @libdir@ | |
283 | libexecdir = @libexecdir@ | |
284 | localedir = @localedir@ | |
285 | localstatedir = @localstatedir@ | |
286 | mandir = @mandir@ | |
287 | mkdir_p = @mkdir_p@ | |
288 | oldincludedir = @oldincludedir@ | |
289 | pdfdir = @pdfdir@ | |
290 | prefix = @prefix@ | |
291 | program_transform_name = @program_transform_name@ | |
292 | psdir = @psdir@ | |
293 | sbindir = @sbindir@ | |
294 | sharedstatedir = @sharedstatedir@ | |
295 | srcdir = @srcdir@ | |
296 | sysconfdir = @sysconfdir@ | |
297 | target_alias = @target_alias@ | |
298 | top_build_prefix = @top_build_prefix@ | |
299 | top_builddir = @top_builddir@ | |
300 | top_srcdir = @top_srcdir@ | |
301 | AUTOMAKE_OPTIONS = foreign | |
302 | SUBDIRS = src | |
303 | all: config.h | |
304 | $(MAKE) $(AM_MAKEFLAGS) all-recursive | |
305 | ||
306 | .SUFFIXES: | |
307 | am--refresh: Makefile | |
308 | @: | |
309 | $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) | |
310 | @for dep in $?; do \ | |
311 | case '$(am__configure_deps)' in \ | |
312 | *$$dep*) \ | |
313 | echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \ | |
314 | $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \ | |
315 | && exit 0; \ | |
316 | exit 1;; \ | |
317 | esac; \ | |
318 | done; \ | |
319 | echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \ | |
320 | $(am__cd) $(top_srcdir) && \ | |
321 | $(AUTOMAKE) --foreign Makefile | |
322 | .PRECIOUS: Makefile | |
323 | Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status | |
324 | @case '$?' in \ | |
325 | *config.status*) \ | |
326 | echo ' $(SHELL) ./config.status'; \ | |
327 | $(SHELL) ./config.status;; \ | |
328 | *) \ | |
329 | echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \ | |
330 | cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \ | |
331 | esac; | |
332 | ||
333 | $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES) | |
334 | $(SHELL) ./config.status --recheck | |
335 | ||
336 | $(top_srcdir)/configure: $(am__configure_deps) | |
337 | $(am__cd) $(srcdir) && $(AUTOCONF) | |
338 | $(ACLOCAL_M4): $(am__aclocal_m4_deps) | |
339 | $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS) | |
340 | $(am__aclocal_m4_deps): | |
341 | ||
342 | config.h: stamp-h1 | |
343 | @if test ! -f $@; then rm -f stamp-h1; else :; fi | |
344 | @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi | |
345 | ||
346 | stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status | |
347 | @rm -f stamp-h1 | |
348 | cd $(top_builddir) && $(SHELL) ./config.status config.h | |
349 | $(srcdir)/config.h.in: $(am__configure_deps) | |
350 | ($(am__cd) $(top_srcdir) && $(AUTOHEADER)) | |
351 | rm -f stamp-h1 | |
352 | touch $@ | |
353 | ||
354 | distclean-hdr: | |
355 | -rm -f config.h stamp-h1 | |
356 | ||
357 | # This directory's subdirectories are mostly independent; you can cd | |
358 | # into them and run 'make' without going through this Makefile. | |
359 | # To change the values of 'make' variables: instead of editing Makefiles, | |
360 | # (1) if the variable is set in 'config.status', edit 'config.status' | |
361 | # (which will cause the Makefiles to be regenerated when you run 'make'); | |
362 | # (2) otherwise, pass the desired values on the 'make' command line. | |
363 | $(am__recursive_targets): | |
364 | @fail=; \ | |
365 | if $(am__make_keepgoing); then \ | |
366 | failcom='fail=yes'; \ | |
367 | else \ | |
368 | failcom='exit 1'; \ | |
369 | fi; \ | |
370 | dot_seen=no; \ | |
371 | target=`echo $@ | sed s/-recursive//`; \ | |
372 | case "$@" in \ | |
373 | distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ | |
374 | *) list='$(SUBDIRS)' ;; \ | |
375 | esac; \ | |
376 | for subdir in $$list; do \ | |
377 | echo "Making $$target in $$subdir"; \ | |
378 | if test "$$subdir" = "."; then \ | |
379 | dot_seen=yes; \ | |
380 | local_target="$$target-am"; \ | |
381 | else \ | |
382 | local_target="$$target"; \ | |
383 | fi; \ | |
384 | ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | |
385 | || eval $$failcom; \ | |
386 | done; \ | |
387 | if test "$$dot_seen" = "no"; then \ | |
388 | $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ | |
389 | fi; test -z "$$fail" | |
390 | ||
391 | ID: $(am__tagged_files) | |
392 | $(am__define_uniq_tagged_files); mkid -fID $$unique | |
393 | tags: tags-recursive | |
394 | TAGS: tags | |
395 | ||
396 | tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) | |
397 | set x; \ | |
398 | here=`pwd`; \ | |
399 | if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ | |
400 | include_option=--etags-include; \ | |
401 | empty_fix=.; \ | |
402 | else \ | |
403 | include_option=--include; \ | |
404 | empty_fix=; \ | |
405 | fi; \ | |
406 | list='$(SUBDIRS)'; for subdir in $$list; do \ | |
407 | if test "$$subdir" = .; then :; else \ | |
408 | test ! -f $$subdir/TAGS || \ | |
409 | set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \ | |
410 | fi; \ | |
411 | done; \ | |
412 | $(am__define_uniq_tagged_files); \ | |
413 | shift; \ | |
414 | if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \ | |
415 | test -n "$$unique" || unique=$$empty_fix; \ | |
416 | if test $$# -gt 0; then \ | |
417 | $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | |
418 | "$$@" $$unique; \ | |
419 | else \ | |
420 | $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | |
421 | $$unique; \ | |
422 | fi; \ | |
423 | fi | |
424 | ctags: ctags-recursive | |
425 | ||
426 | CTAGS: ctags | |
427 | ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) | |
428 | $(am__define_uniq_tagged_files); \ | |
429 | test -z "$(CTAGS_ARGS)$$unique" \ | |
430 | || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ | |
431 | $$unique | |
432 | ||
433 | GTAGS: | |
434 | here=`$(am__cd) $(top_builddir) && pwd` \ | |
435 | && $(am__cd) $(top_srcdir) \ | |
436 | && gtags -i $(GTAGS_ARGS) "$$here" | |
437 | cscope: cscope.files | |
438 | test ! -s cscope.files \ | |
439 | || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS) | |
440 | clean-cscope: | |
441 | -rm -f cscope.files | |
442 | cscope.files: clean-cscope cscopelist | |
443 | cscopelist: cscopelist-recursive | |
444 | ||
445 | cscopelist-am: $(am__tagged_files) | |
446 | list='$(am__tagged_files)'; \ | |
447 | case "$(srcdir)" in \ | |
448 | [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \ | |
449 | *) sdir=$(subdir)/$(srcdir) ;; \ | |
450 | esac; \ | |
451 | for i in $$list; do \ | |
452 | if test -f "$$i"; then \ | |
453 | echo "$(subdir)/$$i"; \ | |
454 | else \ | |
455 | echo "$$sdir/$$i"; \ | |
456 | fi; \ | |
457 | done >> $(top_builddir)/cscope.files | |
458 | ||
459 | distclean-tags: | |
460 | -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags | |
461 | -rm -f cscope.out cscope.in.out cscope.po.out cscope.files | |
462 | ||
463 | distdir: $(DISTFILES) | |
464 | $(am__remove_distdir) | |
465 | test -d "$(distdir)" || mkdir "$(distdir)" | |
466 | @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ | |
467 | topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ | |
468 | list='$(DISTFILES)'; \ | |
469 | dist_files=`for file in $$list; do echo $$file; done | \ | |
470 | sed -e "s|^$$srcdirstrip/||;t" \ | |
471 | -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \ | |
472 | case $$dist_files in \ | |
473 | */*) $(MKDIR_P) `echo "$$dist_files" | \ | |
474 | sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \ | |
475 | sort -u` ;; \ | |
476 | esac; \ | |
477 | for file in $$dist_files; do \ | |
478 | if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ | |
479 | if test -d $$d/$$file; then \ | |
480 | dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \ | |
481 | if test -d "$(distdir)/$$file"; then \ | |
482 | find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ | |
483 | fi; \ | |
484 | if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ | |
485 | cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \ | |
486 | find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ | |
487 | fi; \ | |
488 | cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \ | |
489 | else \ | |
490 | test -f "$(distdir)/$$file" \ | |
491 | || cp -p $$d/$$file "$(distdir)/$$file" \ | |
492 | || exit 1; \ | |
493 | fi; \ | |
494 | done | |
495 | @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \ | |
496 | if test "$$subdir" = .; then :; else \ | |
497 | $(am__make_dryrun) \ | |
498 | || test -d "$(distdir)/$$subdir" \ | |
499 | || $(MKDIR_P) "$(distdir)/$$subdir" \ | |
500 | || exit 1; \ | |
501 | dir1=$$subdir; dir2="$(distdir)/$$subdir"; \ | |
502 | $(am__relativize); \ | |
503 | new_distdir=$$reldir; \ | |
504 | dir1=$$subdir; dir2="$(top_distdir)"; \ | |
505 | $(am__relativize); \ | |
506 | new_top_distdir=$$reldir; \ | |
507 | echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \ | |
508 | echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \ | |
509 | ($(am__cd) $$subdir && \ | |
510 | $(MAKE) $(AM_MAKEFLAGS) \ | |
511 | top_distdir="$$new_top_distdir" \ | |
512 | distdir="$$new_distdir" \ | |
513 | am__remove_distdir=: \ | |
514 | am__skip_length_check=: \ | |
515 | am__skip_mode_fix=: \ | |
516 | distdir) \ | |
517 | || exit 1; \ | |
518 | fi; \ | |
519 | done | |
520 | -test -n "$(am__skip_mode_fix)" \ | |
521 | || find "$(distdir)" -type d ! -perm -755 \ | |
522 | -exec chmod u+rwx,go+rx {} \; -o \ | |
523 | ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \ | |
524 | ! -type d ! -perm -400 -exec chmod a+r {} \; -o \ | |
525 | ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \ | |
526 | || chmod -R a+r "$(distdir)" | |
527 | dist-gzip: distdir | |
528 | tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz | |
529 | $(am__post_remove_distdir) | |
530 | ||
531 | dist-bzip2: distdir | |
532 | tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2 | |
533 | $(am__post_remove_distdir) | |
534 | ||
535 | dist-lzip: distdir | |
536 | tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz | |
537 | $(am__post_remove_distdir) | |
538 | ||
539 | dist-xz: distdir | |
540 | tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz | |
541 | $(am__post_remove_distdir) | |
542 | ||
543 | dist-tarZ: distdir | |
544 | tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z | |
545 | $(am__post_remove_distdir) | |
546 | ||
547 | dist-shar: distdir | |
548 | shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz | |
549 | $(am__post_remove_distdir) | |
550 | ||
551 | dist-zip: distdir | |
552 | -rm -f $(distdir).zip | |
553 | zip -rq $(distdir).zip $(distdir) | |
554 | $(am__post_remove_distdir) | |
555 | ||
556 | dist dist-all: | |
557 | $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:' | |
558 | $(am__post_remove_distdir) | |
559 | ||
560 | # This target untars the dist file and tries a VPATH configuration. Then | |
561 | # it guarantees that the distribution is self-contained by making another | |
562 | # tarfile. | |
563 | distcheck: dist | |
564 | case '$(DIST_ARCHIVES)' in \ | |
565 | *.tar.gz*) \ | |
566 | GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\ | |
567 | *.tar.bz2*) \ | |
568 | bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\ | |
569 | *.tar.lz*) \ | |
570 | lzip -dc $(distdir).tar.lz | $(am__untar) ;;\ | |
571 | *.tar.xz*) \ | |
572 | xz -dc $(distdir).tar.xz | $(am__untar) ;;\ | |
573 | *.tar.Z*) \ | |
574 | uncompress -c $(distdir).tar.Z | $(am__untar) ;;\ | |
575 | *.shar.gz*) \ | |
576 | GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\ | |
577 | *.zip*) \ | |
578 | unzip $(distdir).zip ;;\ | |
579 | esac | |
580 | chmod -R a-w $(distdir) | |
581 | chmod u+w $(distdir) | |
582 | mkdir $(distdir)/_build $(distdir)/_inst | |
583 | chmod a-w $(distdir) | |
584 | test -d $(distdir)/_build || exit 0; \ | |
585 | dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \ | |
586 | && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \ | |
587 | && am__cwd=`pwd` \ | |
588 | && $(am__cd) $(distdir)/_build \ | |
589 | && ../configure --srcdir=.. --prefix="$$dc_install_base" \ | |
590 | $(AM_DISTCHECK_CONFIGURE_FLAGS) \ | |
591 | $(DISTCHECK_CONFIGURE_FLAGS) \ | |
592 | && $(MAKE) $(AM_MAKEFLAGS) \ | |
593 | && $(MAKE) $(AM_MAKEFLAGS) dvi \ | |
594 | && $(MAKE) $(AM_MAKEFLAGS) check \ | |
595 | && $(MAKE) $(AM_MAKEFLAGS) install \ | |
596 | && $(MAKE) $(AM_MAKEFLAGS) installcheck \ | |
597 | && $(MAKE) $(AM_MAKEFLAGS) uninstall \ | |
598 | && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \ | |
599 | distuninstallcheck \ | |
600 | && chmod -R a-w "$$dc_install_base" \ | |
601 | && ({ \ | |
602 | (cd ../.. && umask 077 && mkdir "$$dc_destdir") \ | |
603 | && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \ | |
604 | && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \ | |
605 | && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \ | |
606 | distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \ | |
607 | } || { rm -rf "$$dc_destdir"; exit 1; }) \ | |
608 | && rm -rf "$$dc_destdir" \ | |
609 | && $(MAKE) $(AM_MAKEFLAGS) dist \ | |
610 | && rm -rf $(DIST_ARCHIVES) \ | |
611 | && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \ | |
612 | && cd "$$am__cwd" \ | |
613 | || exit 1 | |
614 | $(am__post_remove_distdir) | |
615 | @(echo "$(distdir) archives ready for distribution: "; \ | |
616 | list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \ | |
617 | sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x' | |
618 | distuninstallcheck: | |
619 | @test -n '$(distuninstallcheck_dir)' || { \ | |
620 | echo 'ERROR: trying to run $@ with an empty' \ | |
621 | '$$(distuninstallcheck_dir)' >&2; \ | |
622 | exit 1; \ | |
623 | }; \ | |
624 | $(am__cd) '$(distuninstallcheck_dir)' || { \ | |
625 | echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \ | |
626 | exit 1; \ | |
627 | }; \ | |
628 | test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \ | |
629 | || { echo "ERROR: files left after uninstall:" ; \ | |
630 | if test -n "$(DESTDIR)"; then \ | |
631 | echo " (check DESTDIR support)"; \ | |
632 | fi ; \ | |
633 | $(distuninstallcheck_listfiles) ; \ | |
634 | exit 1; } >&2 | |
635 | distcleancheck: distclean | |
636 | @if test '$(srcdir)' = . ; then \ | |
637 | echo "ERROR: distcleancheck can only run from a VPATH build" ; \ | |
638 | exit 1 ; \ | |
639 | fi | |
640 | @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \ | |
641 | || { echo "ERROR: files left in build directory after distclean:" ; \ | |
642 | $(distcleancheck_listfiles) ; \ | |
643 | exit 1; } >&2 | |
644 | check-am: all-am | |
645 | check: check-recursive | |
646 | all-am: Makefile config.h | |
647 | installdirs: installdirs-recursive | |
648 | installdirs-am: | |
649 | install: install-recursive | |
650 | install-exec: install-exec-recursive | |
651 | install-data: install-data-recursive | |
652 | uninstall: uninstall-recursive | |
653 | ||
654 | install-am: all-am | |
655 | @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am | |
656 | ||
657 | installcheck: installcheck-recursive | |
658 | install-strip: | |
659 | if test -z '$(STRIP)'; then \ | |
660 | $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ | |
661 | install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ | |
662 | install; \ | |
663 | else \ | |
664 | $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ | |
665 | install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ | |
666 | "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \ | |
667 | fi | |
668 | mostlyclean-generic: | |
669 | ||
670 | clean-generic: | |
671 | ||
672 | distclean-generic: | |
673 | -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) | |
674 | -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES) | |
675 | ||
676 | maintainer-clean-generic: | |
677 | @echo "This command is intended for maintainers to use" | |
678 | @echo "it deletes files that may require special tools to rebuild." | |
679 | clean: clean-recursive | |
680 | ||
681 | clean-am: clean-generic mostlyclean-am | |
682 | ||
683 | distclean: distclean-recursive | |
684 | -rm -f $(am__CONFIG_DISTCLEAN_FILES) | |
685 | -rm -f Makefile | |
686 | distclean-am: clean-am distclean-generic distclean-hdr distclean-tags | |
687 | ||
688 | dvi: dvi-recursive | |
689 | ||
690 | dvi-am: | |
691 | ||
692 | html: html-recursive | |
693 | ||
694 | html-am: | |
695 | ||
696 | info: info-recursive | |
697 | ||
698 | info-am: | |
699 | ||
700 | install-data-am: | |
701 | ||
702 | install-dvi: install-dvi-recursive | |
703 | ||
704 | install-dvi-am: | |
705 | ||
706 | install-exec-am: | |
707 | ||
708 | install-html: install-html-recursive | |
709 | ||
710 | install-html-am: | |
711 | ||
712 | install-info: install-info-recursive | |
713 | ||
714 | install-info-am: | |
715 | ||
716 | install-man: | |
717 | ||
718 | install-pdf: install-pdf-recursive | |
719 | ||
720 | install-pdf-am: | |
721 | ||
722 | install-ps: install-ps-recursive | |
723 | ||
724 | install-ps-am: | |
725 | ||
726 | installcheck-am: | |
727 | ||
728 | maintainer-clean: maintainer-clean-recursive | |
729 | -rm -f $(am__CONFIG_DISTCLEAN_FILES) | |
730 | -rm -rf $(top_srcdir)/autom4te.cache | |
731 | -rm -f Makefile | |
732 | maintainer-clean-am: distclean-am maintainer-clean-generic | |
733 | ||
734 | mostlyclean: mostlyclean-recursive | |
735 | ||
736 | mostlyclean-am: mostlyclean-generic | |
737 | ||
738 | pdf: pdf-recursive | |
739 | ||
740 | pdf-am: | |
741 | ||
742 | ps: ps-recursive | |
743 | ||
744 | ps-am: | |
745 | ||
746 | uninstall-am: | |
747 | ||
748 | .MAKE: $(am__recursive_targets) all install-am install-strip | |
749 | ||
750 | .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \ | |
751 | am--refresh check check-am clean clean-cscope clean-generic \ | |
752 | cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \ | |
753 | dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \ | |
754 | distcheck distclean distclean-generic distclean-hdr \ | |
755 | distclean-tags distcleancheck distdir distuninstallcheck dvi \ | |
756 | dvi-am html html-am info info-am install install-am \ | |
757 | install-data install-data-am install-dvi install-dvi-am \ | |
758 | install-exec install-exec-am install-html install-html-am \ | |
759 | install-info install-info-am install-man install-pdf \ | |
760 | install-pdf-am install-ps install-ps-am install-strip \ | |
761 | installcheck installcheck-am installdirs installdirs-am \ | |
762 | maintainer-clean maintainer-clean-generic mostlyclean \ | |
763 | mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \ | |
764 | uninstall-am | |
765 | ||
766 | ||
767 | # Tell versions [3.59,3.63) of GNU make to not export all variables. | |
768 | # Otherwise a system limit (for SysV at least) may be exceeded. | |
769 | .NOEXPORT: |